#/**
#         ogr IsNewerFile [ str_repo | int_ndisk int_nfilesys ] path_source [ str_repo | int_ndisk int_nfilesys] path_target
#@brief   Metafunción que indica se un fichero es más nuevo que otro.
#@see     ogr GetPath
#@return  int_code      Código de salida
#@warning Deben existir tanto el fichero origen como el destino.
#@version 0.9.2 - Primera versión para OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010-07-24
#*/ ##
# Variables locales.
local ARGS SOURCE TARGET
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [ str_repo | int_ndisk int_nfilesys ] path_source [ str_repo | int_ndisk int_nfilesys ] path_target" \
           "if $FUNCNAME REPO ubuntu.img CACHE ubuntu.img; then ...  fi"
    return
fi

ARGS="$@"
case "$1" in
    /*)     # Camino completo.          */ (Comentrio Doxygen)
            SOURCE=$(ogr GetPath "$1")
            shift ;;
    [1-9]*) # ndisco npartición.
            SOURCE=$(ogr GetPath "$1" "$2" "$3")
            shift 3 ;;
    *)      # Otros: repo, cache, cdrom (no se permiten caminos relativos).
            SOURCE=$(ogr GetPath "$1" "$2")
            shift 2 ;;
esac
# Comprobar que existen los ficheros origen y destino.
[ -n "$SOURCE" ] || ogr RaiseError $OG_ERR_NOTFOUND "${ARGS% $*}" || return $?
TARGET=$(ogr GetPath "$@")
[ -n "$TARGET" ] || ogr RaiseError $OG_ERR_NOTFOUND "$@" || return $?
# Devolver si el primer fichero se ha modificado después que el segundo.
test "$SOURCE" -nt "$TARGET"
